Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Get a document by ID

GET
/api/v1/documents/{id}
curl --request GET \
--url https://api.yggy.tech/api/v1/documents/example \
--header 'Authorization: Bearer <token>'

Retrieve the details of a specific document by its ID.

id
required
string
host
string | null
x-yggy-organization-id
string | null

Document details

Media type application/json
object
documentId
required
string
invocationId
string
title
required
string
content
string
source
string
sourceKind
string | null
Allowed values: UPLOAD GOOGLE_DRIVE MICROSOFT_DRIVE GMAIL OUTLOOK SLACK NOTION LINEAR CHAT SEED LINK SHARED FORWARDED
originSystem
string | null
ownerExternalId
string | null
ownerDisplayName
string | null
contentType
required
string
status
required
string
Allowed values: PENDING PROCESSING COMPLETED FAILED STORED
createdAt
required
string
updatedAt
required
string
tripleCount
number
error
string
code
string
failureMessage
string
storageUrl
string
deletedAt
string
noteKind
string | null
extractionMethod
string
Allowed values: UNSTRUCTURED STRUCTURED_SGSE MANUAL HYBRID
structuredRegions
string | null
provenanceChain
string | null
extractionStats
string | null
processingSummary
string | null
modelUsed
string | null
ocrStrategy
string | null
inferenceMode
string | null
extractionGuidanceRevision
integer | null
guidanceRecommendations
string | null
sourceCreatedAt
string | null
sourceModifiedAt
string | null
sourceAuthor
string | null
sourceMetadata
string | null
attachedTo
object
documentId
required
string
title
required
string
mailAttachments
Array<object>
object
documentId
required
string
title
required
string
status
required
string
Allowed values: PENDING PROCESSING COMPLETED FAILED STORED
projectExternalId
string | null
Example
{
"sourceKind": "UPLOAD",
"status": "PENDING",
"extractionMethod": "UNSTRUCTURED",
"mailAttachments": [
{
"status": "PENDING"
}
]
}

Document not found

Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
Allowed values: INTERNAL_ERROR VALIDATION_ERROR UNAUTHORIZED RATE_LIMITED ORG_REQUIRED FORBIDDEN NOT_FOUND CONFLICT PROJECT_DENIED USAGE_LIMIT_EXCEEDED HUGINN_ERROR HUGINN_STREAM_ERROR QUERY_FAILED PROVIDER_CONFLICT PROVIDER_CONFIG_INVALID PROVIDER_NOT_CONNECTED PROVIDER_RATE_LIMITED PROJECT_MEMBER_USER_NOT_IN_ORG PROJECT_MEMBER_UNKNOWN_ROLE PROJECT_MEMBER_LAST_OWNER PROJECT_CONFLICT STORAGE_NOT_CONFIGURED BILLING_NOT_CONFIGURED LICENSE_INACTIVE PLAN_REQUIRED MEMBER_LIMIT_REACHED SAGA_ASK_QUOTA_EXCEEDED SAGA_ASK_RATE_LIMITED SAGA_ASK_BUSY SAGA_ASK_PAUSED SAGA_ASK_UPSTREAM SAGA_DICTATION_BUSY SAGA_DICTATION_UNAVAILABLE SAGA_SHARE_LINK_LIMIT PROJECT_MEMBERSHIP_JWT_TOO_LARGE WEBHOOK_URL_INVALID WEBHOOK_ADDRESS_BLOCKED WEBHOOK_EVENT_UNKNOWN WEBHOOK_ENDPOINT_LIMIT WEBHOOK_ENDPOINT_DISABLED WEBHOOK_DELIVERY_IN_PROGRESS ORG_KEY_PERSONAL_SCOPE API_KEY_PERMISSION_EXCEEDS_ROLE API_KEY_NO_PERMISSIONS ORG_KEY_GRAPH_SCOPE_UNAVAILABLE ORG_KEY_TOO_MANY_PROJECTS SENDER_IS_LOGIN_EMAIL SENDER_TAKEN
details
Example
{
"success": false,
"error": {
"code": "INTERNAL_ERROR"
}
}